let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const changePasswordApi = async (
  resetToken: string,
  newPassword: string,
  confirmPassword: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/Auth/reset-password/${resetToken}`,
      {
        method: "POST",
        headers: { "Content-Type": "application/json" },
        body: JSON.stringify({ newPassword, confirmPassword }),
      }
    );

    const result = await response.json();

    return result;
  } catch (error) {
    echo.error("Failed to create password");
    if (error instanceof Error) {
      return { error: error.message };
    } else {
      return { error: "An unknown error occurred" };
    }
  }
};
